Update Facility
curl --request PUT \
--url https://api.sandbox.metriport.com/medical/v1/facility/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"npi": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"tin": "<string>",
"active": true
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/facility/{id}"
payload = {
"name": "<string>",
"npi": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"tin": "<string>",
"active": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
npi: '<string>',
address: {
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
},
tin: '<string>',
active: true
})
};
fetch('https://api.sandbox.metriport.com/medical/v1/facility/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi, USState } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const facility = await metriport.updateFacility({
id: "018a80c4-292a-7486-a1234-9uiu76yhe234",
name: "Care Facility, LLC",
npi: "1234567891",
tin: "12-3456789",
active: true,
address: {
addressLine1: "2261 Market Street",
addressLine2: "#4818",
city: "San Francisco",
state: USState.CA,
zip: "94114",
country: "USA",
},
});
Facility
Update Facility
Updates a Facility in Metriport where your patients receive care.
PUT
/
medical
/
v1
/
facility
/
{id}
Update Facility
Path Params
string
required
The ID of your Facility.
Body
string
required
The name of your Facility. This is the actual address where a patient will receive care (can be
virtual) - for example
Care Facility, LLC.string
required
The 10 digit National Provider Identifier (NPI) that will be used to make requests on behalf of
the Facility.
Address
required
string
The Taxpayer Identification Number (TIN) of the Facility.
bool
Whether or not this Facility is currently active - this is usually
true.Response
string
required
The ID assigned to this Facility. This ID will be used to uniquely identify this Facility in
medical documents.
string
required
The OID assigned to this Facility.
string
required
The name of your Facility. This is the actual address where a patient will receive care (can be
virtual) - for example
Care Facility, LLC.string
required
The 10 digit National Provider Identifier (NPI) that will be used to make requests on behalf of
the Facility.
Address
required
string
The Taxpayer Identification Number (TIN) of the Facility.
bool
Whether or not this Facility is currently active - this is usually
true.import { MetriportMedicalApi, USState } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const facility = await metriport.updateFacility({
id: "018a80c4-292a-7486-a1234-9uiu76yhe234",
name: "Care Facility, LLC",
npi: "1234567891",
tin: "12-3456789",
active: true,
address: {
addressLine1: "2261 Market Street",
addressLine2: "#4818",
city: "San Francisco",
state: USState.CA,
zip: "94114",
country: "USA",
},
});
{
"id": "018a80c4-292a-7486-a1234-9uiu76yhe234",
"oid": "2.16.840.1.113883.3.666.123.4.101",
"name": "Care Facility, LLC",
"npi": "1234567891",
"tin": "12-3456789",
"active": true,
"address": {
"addressLine1": "2261 Market Street",
"addressLine2": "#4818",
"city": "San Francisco",
"state": "CA",
"zip": "94114",
"country": "USA"
}
}
⌘I

